/**
 * Pulls the latest version of the npm package and copies it to the root folder
 *
 * @throws {@link Error} if there are not commited changes
 * @throws {@link Error} if the exit code of npm install is not 0
 *
 * @example
```typescript
await npmPull({
  packageName: '@deep-foundation/deep-memo',
})
```
 *
 */
export declare function npmPull(param: NpmPullParam): Promise<void>;
export interface NpmPullParam {
    /**
     * Name of the npm package
     */
    packageName: string;
    /**
     * Version of the npm package
     *
     * @defaultValue `latest`
     */
    packageVersion?: string;
}
